Bug 202982 - printing only works once
printing only works once
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: epiphany (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks: FC6Target
  Show dependency treegraph
 
Reported: 2006-08-17 12:37 EDT by Matthias Clasen
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-22 00:51:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 351788 None None None Never

  None (edit)
Description Matthias Clasen 2006-08-17 12:37:44 EDT
When I start evince again and try to print, I get this crash. Removing
all of .gnome2/epiphany makes it print again

Distribution: Fedora Core release 5.91 (FC6 Test2)
Gnome Release: 2.15.91 2006-08-13 (Red Hat, Inc)
BugBuddy Version: 2.15.90

Memory status: size: 141291520 vsize: 0 resident: 141291520 share: 0 rss:
32555008 rss_rlim: 0
CPU usage: start_time: 1155833099 rtime: 0 utime: 180 stime: 0 cutime:164
cstime: 0 timeout: 16 it_real_value: 0 frequency: 0

Backtrace was generated from '/usr/bin/epiphany'

(no debugging symbols found)
Using host libthread_db library "/lib/libthread_db.so.1".
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread -1208366848 (LWP 2887)]
[New Thread -1280529520 (LWP 2890)]
[New Thread -1270039664 (LWP 2889)]
[New Thread -1259549808 (LWP 2888)]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
0xb7fc7402 in __kernel_vsyscall ()
#0  0xb7fc7402 in __kernel_vsyscall ()
#1  0x008699ab in __waitpid_nocancel () from /lib/libpthread.so.0
#2  0x07038d66 in gnome_gtk_module_info_get () from /usr/lib/libgnomeui-2.so.0
#3  0x00cea4ec in nsProfileLock::FatalSignalHandler ()
   from /usr/lib/firefox-1.5.0.6/libgtkembedmoz.so
#4  <signal handler called>
#5  0x08119058 in ephy_print_utils_page_setup_new_from_key_file ()
#6  0x08119396 in ephy_print_utils_page_setup_new_from_file ()
#7  0x080fbe75 in ephy_embed_shell_get_page_setup ()
#8  0x080e0468 in GeckoPrintService::TranslateSettings ()
#9  0x0133a14a in NSGetModule ()
   from /usr/lib/firefox-1.5.0.6/components/libgklayout.so
#10 0x0125697e in NSGetModule ()
   from /usr/lib/firefox-1.5.0.6/components/libgklayout.so
#11 0x080d5314 in EphyBrowser::Print ()
#12 0x080c8e13 in mozilla_embed_get_type ()
#13 0x080f8d96 in ephy_embed_print ()
#14 0x0809de8b in window_cmd_file_print ()
#15 0x00a42139 in g_cclosure_marshal_VOID__VOID ()
   from /lib/libgobject-2.0.so.0
#16 0x00a34f0b in g_closure_invoke () from /lib/libgobject-2.0.so.0
#17 0x00a45d63 in g_signal_override_class_closure ()
   from /lib/libgobject-2.0.so.0
#18 0x00a4725f in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#19 0x00a47419 in g_signal_emit () from /lib/libgobject-2.0.so.0
#20 0x00e3ba75 in gtk_widget_get_action () from /usr/lib/libgtk-x11-2.0.so.0
#21 0x00e3c8e8 in gtk_action_activate () from /usr/lib/libgtk-x11-2.0.so.0
#22 0x00a42139 in g_cclosure_marshal_VOID__VOID ()
   from /lib/libgobject-2.0.so.0
#23 0x00a34f0b in g_closure_invoke () from /lib/libgobject-2.0.so.0
#24 0x00a45d63 in g_signal_override_class_closure ()
   from /lib/libgobject-2.0.so.0
#25 0x00a4725f in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#26 0x00a47419 in g_signal_emit () from /lib/libgobject-2.0.so.0
#27 0x01033e94 in gtk_widget_activate () from /usr/lib/libgtk-x11-2.0.so.0
#28 0x00f29598 in gtk_menu_shell_activate_item ()
   from /usr/lib/libgtk-x11-2.0.so.0
#29 0x00f2ab62 in gtk_menu_shell_append () from /usr/lib/libgtk-x11-2.0.so.0
#30 0x00f22735 in gtk_menu_reorder_child () from /usr/lib/libgtk-x11-2.0.so.0
#31 0x00f1c890 in gtk_marshal_BOOLEAN__VOID ()
   from /usr/lib/libgtk-x11-2.0.so.0
#32 0x00a336f9 in g_value_set_static_boxed () from /lib/libgobject-2.0.so.0
#33 0x00a34f0b in g_closure_invoke () from /lib/libgobject-2.0.so.0
#34 0x00a463b3 in g_signal_override_class_closure ()
   from /lib/libgobject-2.0.so.0
#35 0x00a47027 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#36 0x00a47419 in g_signal_emit () from /lib/libgobject-2.0.so.0
#37 0x0102fae8 in gtk_widget_get_default_style ()
   from /usr/lib/libgtk-x11-2.0.so.0
#38 0x00f15d33 in gtk_propagate_event () from /usr/lib/libgtk-x11-2.0.so.0
#39 0x00f16f37 in gtk_main_do_event () from /usr/lib/libgtk-x11-2.0.so.0
#40 0x00bfe0fa in gdk_add_client_message_filter ()
   from /usr/lib/libgdk-x11-2.0.so.0
#41 0x00945372 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#42 0x0094834f in g_main_context_check () from /lib/libglib-2.0.so.0
#43 0x009486f9 in g_main_loop_run () from /lib/libglib-2.0.so.0
#44 0x00f173b4 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#45 0x08081860 in main ()

Thread 4 (Thread -1259549808 (LWP 2888)):
#0  0xb7fc7402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x006550b3 in poll () from /lib/libc.so.6
No symbol table info available.
#2  0x07233a49 in PR_Poll () from /usr/lib/libnspr4.so
No symbol table info available.
#3  0x031d9d33 in NSGetModule ()
   from /usr/lib/firefox-1.5.0.6/components/libnecko.so
No symbol table info available.
#4  0x031d9f22 in NSGetModule ()
   from /usr/lib/firefox-1.5.0.6/components/libnecko.so
No symbol table info available.
#5  0x069d10c2 in nsThread::Main ()
   from /usr/lib/firefox-1.5.0.6/libxpcom_core.so
No symbol table info available.
#6  0x07237c8d in PR_JoinThread () from /usr/lib/libnspr4.so
No symbol table info available.
#7  0x008621b9 in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#8  0x0065ec1e in clone () from /lib/libc.so.6
No symbol table info available.

Thread 3 (Thread -1270039664 (LWP 2889)):
#0  0xb7fc7402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x0086617c in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib/libpthread.so.0
No symbol table info available.
#2  0x07230ef3 in PRP_NakedNotify () from /usr/lib/libnspr4.so
No symbol table info available.
#3  0x07231d34 in PR_WaitCondVar () from /usr/lib/libnspr4.so
No symbol table info available.
#4  0x069d2f3d in TimerThread::AddTimer ()
   from /usr/lib/firefox-1.5.0.6/libxpcom_core.so
No symbol table info available.
#5  0x069d10c2 in nsThread::Main ()
   from /usr/lib/firefox-1.5.0.6/libxpcom_core.so
No symbol table info available.
#6  0x07237c8d in PR_JoinThread () from /usr/lib/libnspr4.so
No symbol table info available.
#7  0x008621b9 in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#8  0x0065ec1e in clone () from /lib/libc.so.6
No symbol table info available.

Thread 2 (Thread -1280529520 (LWP 2890)):
#0  0xb7fc7402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x0086617c in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib/libpthread.so.0
No symbol table info available.
#2  0x07230ef3 in PRP_NakedNotify () from /usr/lib/libnspr4.so
No symbol table info available.
#3  0x07231d34 in PR_WaitCondVar () from /usr/lib/libnspr4.so
No symbol table info available.
#4  0x031b82f9 in NSGetModule ()
   from /usr/lib/firefox-1.5.0.6/components/libnecko.so
No symbol table info available.
#5  0x07237c8d in PR_JoinThread () from /usr/lib/libnspr4.so
No symbol table info available.
#6  0x008621b9 in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#7  0x0065ec1e in clone () from /lib/libc.so.6
No symbol table info available.

Thread 1 (Thread -1208366848 (LWP 2887)):
#0  0xb7fc7402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x008699ab in __waitpid_nocancel () from /lib/libpthread.so.0
No symbol table info available.
#2  0x07038d66 in gnome_gtk_module_info_get () from /usr/lib/libgnomeui-2.so.0
No symbol table info available.
#3  0x00cea4ec in nsProfileLock::FatalSignalHandler ()
   from /usr/lib/firefox-1.5.0.6/libgtkembedmoz.so
No symbol table info available.
#4  <signal handler called>
No symbol table info available.
#5  0x08119058 in ephy_print_utils_page_setup_new_from_key_file ()
No symbol table info available.
#6  0x08119396 in ephy_print_utils_page_setup_new_from_file ()
No symbol table info available.
#7  0x080fbe75 in ephy_embed_shell_get_page_setup ()
No symbol table info available.
#8  0x080e0468 in GeckoPrintService::TranslateSettings ()
No symbol table info available.
#9  0x0133a14a in NSGetModule ()
   from /usr/lib/firefox-1.5.0.6/components/libgklayout.so
No symbol table info available.
#10 0x0125697e in NSGetModule ()
   from /usr/lib/firefox-1.5.0.6/components/libgklayout.so
No symbol table info available.
#11 0x080d5314 in EphyBrowser::Print ()
No symbol table info available.
#12 0x080c8e13 in mozilla_embed_get_type ()
No symbol table info available.
#13 0x080f8d96 in ephy_embed_print ()
No symbol table info available.
#14 0x0809de8b in window_cmd_file_print ()
No symbol table info available.
#15 0x00a42139 in g_cclosure_marshal_VOID__VOID ()
   from /lib/libgobject-2.0.so.0
No symbol table info available.
#16 0x00a34f0b in g_closure_invoke () from /lib/libgobject-2.0.so.0
No symbol table info available.
#17 0x00a45d63 in g_signal_override_class_closure ()
   from /lib/libgobject-2.0.so.0
No symbol table info available.
#18 0x00a4725f in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
No symbol table info available.
#19 0x00a47419 in g_signal_emit () from /lib/libgobject-2.0.so.0
No symbol table info available.
#20 0x00e3ba75 in gtk_widget_get_action () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#21 0x00e3c8e8 in gtk_action_activate () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#22 0x00a42139 in g_cclosure_marshal_VOID__VOID ()
   from /lib/libgobject-2.0.so.0
No symbol table info available.
#23 0x00a34f0b in g_closure_invoke () from /lib/libgobject-2.0.so.0
No symbol table info available.
#24 0x00a45d63 in g_signal_override_class_closure ()
   from /lib/libgobject-2.0.so.0
No symbol table info available.
#25 0x00a4725f in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
No symbol table info available.
#26 0x00a47419 in g_signal_emit () from /lib/libgobject-2.0.so.0
No symbol table info available.
#27 0x01033e94 in gtk_widget_activate () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#28 0x00f29598 in gtk_menu_shell_activate_item ()
   from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#29 0x00f2ab62 in gtk_menu_shell_append () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#30 0x00f22735 in gtk_menu_reorder_child () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#31 0x00f1c890 in gtk_marshal_BOOLEAN__VOID ()
   from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#32 0x00a336f9 in g_value_set_static_boxed () from /lib/libgobject-2.0.so.0
No symbol table info available.
#33 0x00a34f0b in g_closure_invoke () from /lib/libgobject-2.0.so.0
No symbol table info available.
#34 0x00a463b3 in g_signal_override_class_closure ()
   from /lib/libgobject-2.0.so.0
No symbol table info available.
#35 0x00a47027 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
No symbol table info available.
#36 0x00a47419 in g_signal_emit () from /lib/libgobject-2.0.so.0
No symbol table info available.
#37 0x0102fae8 in gtk_widget_get_default_style ()
   from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#38 0x00f15d33 in gtk_propagate_event () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#39 0x00f16f37 in gtk_main_do_event () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#40 0x00bfe0fa in gdk_add_client_message_filter ()
   from /usr/lib/libgdk-x11-2.0.so.0
No symbol table info available.
#41 0x00945372 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
No symbol table info available.
#42 0x0094834f in g_main_context_check () from /lib/libglib-2.0.so.0
No symbol table info available.
#43 0x009486f9 in g_main_loop_run () from /lib/libglib-2.0.so.0
No symbol table info available.
#44 0x00f173b4 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#45 0x08081860 in main ()
No symbol table info available.
#0  0xb7fc7402 in __kernel_vsyscall ()
Comment 1 Matthias Clasen 2006-08-22 00:51:59 EDT
fixed in 2.15.92

Note You need to log in before you can comment on or make changes to this bug.